<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="boletimTotais" pageWidth="555" pageHeight="802" whenNoDataType="AllSectionsNoDetail" columnWidth="555" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="0b6a2213-31c9-4c65-bb52-2e99d4587453">
	<property name="ireport.zoom" value="1.6105100000000008"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="idTipoContaTrans" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="data" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="empresa" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="valorVendaAvista" class="java.lang.Double"/>
	<parameter name="valorTotalReceita" class="java.lang.Double"/>
	<parameter name="valorTotalDespesas" class="java.lang.Double"/>
	<parameter name="valorTranferenciaEscritorio" class="java.lang.Double"/>
	<parameter name="trocoDiaSeguinte" class="java.lang.Double"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["C:\\Desenv\\workspace\\nepalign\\src\\relatorios\\"]]></defaultValueExpression>
	</parameter>
	<parameter name="valorFormas" class="java.lang.Double"/>
	<parameter name="idsCaixaDia" class="java.lang.String"/>
	<parameter name="valorTotalCrediario" class="java.lang.Double"/>
	<parameter name="idChequePre" class="java.lang.String"/>
	<parameter name="logo" class="java.lang.Object"/>
	<parameter name="valorReceita" class="java.lang.Double"/>
	<parameter name="valorDespesas" class="java.lang.Double"/>
	<parameter name="empresaDescricao" class="java.lang.String"/>
	<parameter name="valorTotalVenda" class="java.lang.Double"/>
	<parameter name="trocoDiaAnterior" class="java.lang.Double"/>
	<parameter name="tipoFormaAVista" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="valorJurosPagos" class="java.lang.Double"/>
	<parameter name="idPlanoPagamentoValeCalcado" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="valorTotalVale" class="java.lang.Double"/>
	<parameter name="valorEntradaVale" class="java.lang.Double"/>
	<parameter name="valorEntradas" class="java.lang.Double"/>
	<queryString>
		<![CDATA[select sum(idUsuario) from usuario]]>
	</queryString>
	<field name="sum(idUsuario)" class="java.math.BigDecimal"/>
	<variable name="TotalCredito" class="java.lang.Double" resetType="None" incrementType="Report" calculation="Sum">
		<variableExpression><![CDATA[$P{valorTotalDespesas}+$P{trocoDiaSeguinte}]]></variableExpression>
	</variable>
	<variable name="TotalDebito" class="java.lang.Double"/>
	<pageHeader>
		<band height="45">
			<textField pattern="#,##0.00">
				<reportElement uuid="20e66e8b-e807-4883-a6ab-fe28868fc927" x="340" y="34" width="119" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{valorVendaAvista}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="41203285-b913-45e5-9bfc-acdde463c54b" x="340" y="22" width="113" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{valorTotalReceita}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="738e612e-ea77-44b9-978d-d412939a4361" x="240" y="23" width="100" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Totais:]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="7b621c6d-40f1-40e0-9d04-2a07a186d0c9" x="240" y="34" width="100" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Venda a Vista:]]></text>
			</staticText>
			<textField pattern="#,##0.00">
				<reportElement uuid="90b3d95e-2859-427f-8b09-a7387fda8e5b" x="453" y="23" width="100" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{TotalCredito}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="ae3e972d-a449-4285-9509-b422fa391b3d" x="453" y="11" width="100" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[new Double($P{trocoDiaSeguinte}-($P{valorTranferenciaEscritorio}==null?0.0:$P{valorTranferenciaEscritorio}))]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="67c3ac1a-8102-480e-bcb4-615cfe4af24e" x="340" y="11" width="113" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Troco do dia Seguinte:]]></text>
			</staticText>
			<textField pattern="#,##0.00">
				<reportElement uuid="db8a4dca-2d4c-4f90-8d78-30a92b7c4d9d" x="453" y="0" width="100" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{valorTranferenciaEscritorio}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="86bea2f5-11a6-42e7-acc3-94f0d1d0aaca" x="334" y="0" width="119" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Valor de Tranferencia Escritorio:]]></text>
			</staticText>
			<line>
				<reportElement uuid="c0bdf433-f2df-40fb-966e-93dc84c448fa" x="0" y="21" width="555" height="1"/>
			</line>
		</band>
	</pageHeader>
	<summary>
		<band height="100">
			<subreport>
				<reportElement uuid="b669bede-983b-4408-a88d-f4d55aede1f9" x="0" y="0" width="553" height="100"/>
				<subreportParameter name="valorTotalCrediario">
					<subreportParameterExpression><![CDATA[$P{valorTotalCrediario}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="data">
					<subreportParameterExpression><![CDATA[$P{data}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="idsCaixaDia">
					<subreportParameterExpression><![CDATA[$P{idsCaixaDia}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="valorTotalDespesas">
					<subreportParameterExpression><![CDATA[$P{valorTotalDespesas}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="valorEntradas">
					<subreportParameterExpression><![CDATA[$P{valorEntradas}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="valorTranferenciaEscritorio">
					<subreportParameterExpression><![CDATA[$P{valorTranferenciaEscritorio}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="trocoDiaSeguinte">
					<subreportParameterExpression><![CDATA[$P{trocoDiaSeguinte}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="valorJurosPagos">
					<subreportParameterExpression><![CDATA[$P{valorJurosPagos}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="valorTotalVenda">
					<subreportParameterExpression><![CDATA[$P{valorTotalVenda}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="tipoFormaAVista">
					<subreportParameterExpression><![CDATA[$P{tipoFormaAVista}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="valorTotalVale">
					<subreportParameterExpression><![CDATA[$P{valorTotalVale}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="valorEntradaVale">
					<subreportParameterExpression><![CDATA[$P{valorEntradaVale}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="idChequePre">
					<subreportParameterExpression><![CDATA[$P{idChequePre}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="valorReceita">
					<subreportParameterExpression><![CDATA[$P{valorReceita}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="logo">
					<subreportParameterExpression><![CDATA[$P{logo}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="empresaDescricao">
					<subreportParameterExpression><![CDATA[$P{empresaDescricao}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="idPlanoPagamentoValeCalcado">
					<subreportParameterExpression><![CDATA[$P{idPlanoPagamentoValeCalcado}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="valorTotalReceita">
					<subreportParameterExpression><![CDATA[$P{valorTotalReceita}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="trocoDiaAnterior">
					<subreportParameterExpression><![CDATA[$P{trocoDiaAnterior}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="SUBREPORT_DIR">
					<subreportParameterExpression><![CDATA[$P{SUBREPORT_DIR}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="valorDespesas">
					<subreportParameterExpression><![CDATA[$P{valorDespesas}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="idTipoContaTrans">
					<subreportParameterExpression><![CDATA[$P{idTipoContaTrans}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="valorVendaAvista">
					<subreportParameterExpression><![CDATA[$P{valorVendaAvista}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="empresa">
					<subreportParameterExpression><![CDATA[$P{empresa}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="valorFormas">
					<subreportParameterExpression><![CDATA[$P{valorFormas}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "boletimSubMovimentacaoDiversas.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</summary>
</jasperReport>
